com.amazonaws.services.lambda.invoke

## Class LambdaFunctionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.amazonaws.SdkBaseException
        - - com.amazonaws.AmazonClientException
          - - com.amazonaws.services.lambda.invoke.LambdaFunctionException

All Implemented Interfaces:
  Serializable

    public class LambdaFunctionException
    extends AmazonClientException

An exception representing the failed execution of a remote Lambda function.

See Also:
  `InvokeResult.getFunctionError()`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`LambdaFunctionException(String message, boolean handled, String type)` Deprecated. This exception class should only be created internally by the SDK.

### Method Summary

All Methods Instance Methods Concrete Methods
`LambdaFunctionException` `getCause()`
`String` `getType()`
`boolean` `isHandled()`

### Methods inherited from class com.amazonaws.AmazonClientException

`isRetryable`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LambdaFunctionException

    @Deprecated
    public LambdaFunctionException(String message,
                                               boolean handled,
                                               String type)

Deprecated. This exception class should only be created internally by the SDK.

### Method Detail

#### getType

    public String getType()

Returns:
  the type of this exception, if known; null if unknown

#### isHandled

    public boolean isHandled()

Returns:
  true if this was a Handled error
See Also:
  `InvokeResult.getFunctionError()`

#### getCause

    public LambdaFunctionException getCause()

Overrides:
  `getCause` in class `Throwable`